

export function capitalizeFirstLetter(s) {
    return s.charAt(0).toUpperCase() + s.slice(1);
}

export function toTitleCase(s) {
    return s.replace(/\w\S*/g, function (txt) { return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase(); });
}

export function toCamelCase(s) {
    return s.replace(/-([a-z])/g, function (g) { return g[1].toUpperCase(); });
}

export function toSnakeCase(s) {
    return s.replace(/([A-Z])/g, function (g) { return '-' + g.toLowerCase(); });
}